Блог старого компьютера

Блог старого компьютера


Главная Joomla JCE обрезает iframe

JCE обрезает iframe

22.06.2012 06:24 Администратор Joomla
Печать PDF
Всем известно что стандартный визуальный редактор в joomla не особо хорош собой, и многие просто его меняют на более удобные например JCE. Вот именно об этом редакторе и пойдет речь. В каждом визульном редакторе и JCE неисключения содержаться функции которые обрезают и форматируют вставленный в них код. Например вставить в материал JS довольно не легко так как редактор просто на просто его вырезает, то жде самое просиходит и с iframe. Попытки вставить iframe  в JCE оканчиваются неудачей, а вставить его все же необходимо. Дак как же вставить iframe в материал?

На самом деле данная проблема известна всем и для ее решаения есть плагин который внесет нужные изменения в компонент jce после чего он перестанет обрезать iframe.

Плагин называется jce_iframe он бывает разный в зависисмости от того какой версии стоит у вас редактор. Устанавливать данный плагин необходимо не через привычный пункт Установить/Удалить, а через настройки самого редактора. (Компоненты->JCE Administration->Install). После установки не требует настройки и начинает работать, так что можно смело идти и вставлять iframe в материал.  Как не странно найти этот плагин не так и легко, и по этому поводу я выложу его здесь, вдруг кому пригодится

 

Скачать jce_iframe_153.zip

Комментарии  

 
0 #5 Женя 09.07.2014 10:12
Блять пользуюсь последней версией плагина что уже не делал и в медиа включал iframe и в дополнительных полях ставил iframe вроде все норм но при СОХРАНЕНИИ код исчезает в чем проблема? Ответ пишите на email
Цитировать
 
 
-1 #4 111 20.03.2013 18:33
Удалите плагин JCE Fullpage, и все будет нормально.
Цитировать
 
 
+2 #3 Freeman 26.11.2012 06:35
Да, я использую последнюю версию компонента.
Как отключить удаление Iframe разобрался. Это настраивалось в профиле редактора во вкладке Медиа.
с DOCTYPE пока разбираюсь.
Цитировать
 
 
0 #2 Administrator 26.11.2012 06:26
Цитирую Freeman:
Вигня.
Стоит это плагин. Iframe как обрезался так и обрезается.
Плюс еще в новых версиях jce где надо и где нет DOCTYPE суёт.


Возможно у вас JCE не той версии с которой может работать это плагин. Я использую вот такую версию:
Component Version 1.5.7
Plugin Version 1.5.6
Это пак JCE с плагинами, плюс я еще ставлю к нему jce_iframe_153 и iframe вставляется на ура.

Про доктайп сказать ничего не могу по логике он его в материал ставить не должен.
Цитировать
 
 
+1 #1 Freeman 25.11.2012 06:50
Вигня.
Стоит это плагин. Iframe как обрезался так и обрезается.
Плюс еще в новых версиях jce где надо и где нет DOCTYPE суёт.
Цитировать
 

Добавить комментарий


Защитный код
Обновить

Поиск

Голосование

Что Вы думаете на счет битрикса?
 

Все материалы раздела